gnutls_x509_aki_set_cert_issuer(3)

NAME
gnutls_x509_aki_set_cert_issuer - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_aki_set_cert_issuer(gnutls_x509_aki_t aki, unsigned int san_type, const gnutls_datum_t * san, const char * othername_oid, const gnutls_datum_t * serial);

ARGUMENTS

gnutls_x509_aki_t aki
    The authority key ID

unsigned int san_type
    the type of the name (of gnutls_subject_alt_names_t), may be null

const gnutls_datum_t * san
    The alternative name data

const char * othername_oid
    The object identifier if san_type is GNUTLS_SAN_OTHERNAME

const gnutls_datum_t * serial
    The authorityCertSerialNumber number (may be null)

DESCRIPTION
This function will set the authorityCertIssuer name and the authorityCertSerialNumber to be stored in the aki type. When storing multiple names, the serial should be set on the first call, and subsequent calls should use a NULL serial.

Since version 3.5.7 the GNUTLS_SAN_RFC822NAME, GNUTLS_SAN_DNSNAME, and GNUTLS_SAN_OTHERNAME_XMPP are converted to ACE format when necessary.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/